1 Reply Latest reply on Aug 15, 2006 11:05 PM by Andrew Oliver

    Trying to get install-jbms-1.0m4-final.jar running on JBoss

    Jason Anderson Newbie

      Installed latest 1.0m4-final on top of JBoss 4.0.4 GA.

      It first complained about missing AOP class. So I put the AOP jars that came with 1.0m4-final.jar into mail.sar/... that one went away.

      However, I'm now getting a class verification error (I'm using JRE 1.5.0_07) :

      2006-08-14 22:52:17,469 DEBUG [org.jboss.deployment.SARDeployer] create operation failed for package file:/C:/stuff/proj/jboss-4.0.4.GA/server/default/deploy/mail.ear/mail.sar/
      org.jboss.deployment.DeploymentException: - nested throwable: (java.lang.reflect.UndeclaredThrowableException)
      ...

      Caused by: java.lang.VerifyError: (class: org/jboss/mail/store/AbstractStore, method: close signature: (Ljava/io/InputStream;)V) Incompatible type for getting or setting field

      ....

      Do I need to pull a source distribution and build from scratch?

      Thanks!